Subject: bug#58568: Error when install the latest developments image

From: Zhongyou Li <[email-masked]>
Date: Mon, 17 Oct 2022 00:42:44 +0800

Hi Guix,
I got an error when install the latest developments image on virtual box on macOS on MacBook Air 2015.
I think the installation failed because the script did not delete the download directory when the download failed, causing the directory name conflict when redownloading.
I'm not sure if I'm right, so the specific information is below.
For specific error messages, see the picture.

Here is my configuration when install time:
Local Language: English
Local location: United States
Graphical install using a terminal based interface
Timezone: Asia, Shanghai
Keyboard layout: English (US)
Variant for keyboard layout: English (intl., with AltGr dead keys)
Hostname: a
— And connectivity check return OK.
Substitute server discovery: Enable
Root password: 123456
— And I added a user without password:
+————————————+
| Name: a
| Real name: A
| Home directory: /home/a
| Password: 
+————————————+
— And I chose GNOME as my desktop environment.
Network service: Mozilla NSS certificates
Printing and document services: No.
Partitioning method: Guided - using the entire disk.
Disk: ATA VBOX HARDDISK (scsi) /dev/sda
Partition sheme: Everything is one partition.
— And I didn’t change the ``Guided partition”, just step OK.
— And I format the disk.

Here is my virtual box configuration:
+————————————+
| [ SYSTEM]
| Base Memory: 2330 MB
| Processor: 2
| Boot Order: Floppy, Optical, Hard disk
| Acceleration: VT-x/AMD-V, Nested Paging, KVM paravirtualization
| [DISPLAY]
| Videm Memory: 16 MB
| Graphic Controller: VMSVGA
| Remote Desktop Server: Disabled
| Recording: Disabled
| [STORAGE]
| Controller: IDE 
|       Device 0: .. optical drive .. 0s7qdrvq … 76-image.iso
| Controller: SATA
|       STAT Port 0: Guix.vdi (Normal, 16.00 GB)
| [Audio]
| Host Driver: Default
| Controller: ICH AC97
| [NETWORK]
| Adapter 1: Intel PRO/1000 MT Desktop (NAT)
| [USB]
| USB Controller: OHCI, EHCI
+—————————————+